Subject: Re: RE: [Sigtran] Open Issue 3rd M3UA Plugtest: NTFY

From: "Srivats P." <[email-masked]>
Date: Wed, 11 Dec 2002 19:38:29 +0900

Brian/Javier/Tolga,

I have a different, but related question - what about
AS State Changes in response to RKM ? Say e.g. that on the
SG, AS1 has no statically configured ASPs serving it. ASP1
sends ASPUP, and after receiving an ASPUP ACK, sends
REG REQ to SG for AS1's RK. SG adds ASP1 to AS1, sets
the AS state to INACTIVE (earlier it was DOWN) and sends
a positive REG RSP back to ASP1. Is it MUST for the
SG to send a NTFY (AS State Change: AS Inactive) to ASP1 ?
If yes, is it MUST for the NTFY to be sent after REG RSP ?
The above is applicable to DEREG REQ/RSP too.

     SG               ASP1
      |                |
      |<----ASPUP------|
      |---ASPUP ACK--->|
      |                |
      |<---REG REQ-----|
      |----REG RSP---->|
      |   (Success)    |
      |                |
      |-----NTFY------>|
      |  (AS Inactive) |

Regards,
Srivats P.

======= At 2002-12-11, 10:30:00 you wrote: =======

>Brian, 
>
>I would prefer "when appropriate". But anyway, I think that if we reword the NTFY section to make it clear when is compulsory and when not, we can leave this text as it is. I think that's what people are really asking for...
>
>Cheers // Javier.
>
>> -----Original Message-----
>> From: Brian F. G. Bidulock [mailto:[email-masked]]
>> Sent: Tuesday, December 10, 2002 6:26 PM
>> To: Javier Pastor-Balbas (ECE)
>> Cc: 'Tolga Asveren'; [email-masked]
>> Subject: Re: [Sigtran] Open Issue 3rd M3UA Plugtest: NTFY
>> 
>> 
>> Javier,
>> 
>> Read the whole paragraph:
>> 
>> 	"In the case of a Loadshare mode AS, the SGP moves the 
>> ASP to the
>> 	 ASP-INACTIVE state and the AS traffic is reallocated across the
>> 	 remaining ASPs in the state ASP-ACTIVE, as per the loadsharing
>> 	 algorithm currently used within the AS.  A Notify message
>> 	 ("Insufficient ASP resources active in AS") MAY be sent to all
>> 	 inactive ASPs, if required. ..."
>> 
>> "If required" refers to when the number of ASP-ACTIVE ASP falls below
>> the minimum number of active ASPs for the AS, as there is also the
>> possibility that when an ASP goes ASP-INACTIVE, the minimum number is
>> not reached.
>> 
>> I would think that this is rather obvious, and IMO no additional
>> explanation is required.
>> 
>> --brian
>> 
>> 
>> Javier Pastor-Balbas (ECE) wrote:                  (Tue, 10 
>> Dec 2002 09:04:54)
>> > Hi Tolga et al., 
>> > 
>> > You are right. But I see the contradiction between "MAY" 
>> and "required".
>> > When is sending that message required? Is it required but 
>> optional (we use
>> > MAY) at the same time? I'm afraid that "required" has been 
>> historically kept
>> > from a previous version where MAY was MUST... With the 
>> current wording, I'd
>> > suggest to remove it.
>> > 
>> > If we state that NTFY is compulsory for the "AS state 
>> changes" but optional
>> > for "other cases", we should indicate it clearly in the 
>> NTFY section. It may
>> > be easily included in the first sentence. I think this 
>> could help for a
>> > better understanding.
>> > 
>> > Any comments on this?  
>> > 
>> > Are there any additional comments from the people attending 
>> the Plugtest on
>> > this issue?
>> > 
>> > 
>> > Cheers // Javier.
>> > 
>> > 
>> > > -----Original Message-----
>> > > From: Tolga Asveren [mailto:[email-masked]]
>> > > Sent: Monday, December 09, 2002 11:54 PM
>> > > To: [email-masked]
>> > > Subject: Re: [Sigtran] Open Issue 3rd M3UA Plugtest: NTFY
>> > > 
>> > > 
>> > > Hi Javier,
>> > > --- "Javier Pastor-Balbas (ECE)"
>> > > <[email-masked]> wrote:
>> > > > Hi guys, 
>> > > > 
>> > > > During the last M3UA Plugtest, there was a doubt
>> > > > whether NTFY is mandatory in all the cases or not.
>> > > > The RFC clearly indicates that it is in the NTFY
>> > > > Procedures Section (4.3.4.5). But there are some
>> > > > wordings in the ASP Inactive (4.3.4.4.)where it is
>> > > > said that: 
>> > > [TOLGA] 4.3.4.5 says that sending NTFY is a MUST, when
>> > > AS state changes. NTFY("Insufficient ASP resources
>> > > active in AS") does not indicate an AS state change.
>> > > So, I would think that there is no contradiction.
>> > > > 
>> > > >   "A Notify message ("Insufficient ASP resources
>> > > > active in AS") MAY be sent to allinactive ASPs, if
>> > > > required"
>> > > >                                                     
>> > > >            ^^^
>> > > > I propose to change the "MAY" into "MUST" to align
>> > > > it with the procedures described in 4.3.4.5
>> > > > 
>> > > > Also some examples have to be update to include the
>> > > > NTFY whenever it is missing: 5.1.3 and 5.2.1
>> > > > 
>> > > > 
>> > > > Comments?
>> > > > 
>> > > > 
>> > > > Cheers // Javier.
>> > > > _______________________________________________
>> > > > Sigtran mailing list
>> > > > [email-masked]
>> > > > https://www1.ietf.org/mailman/listinfo/sigtran
>> > > 
>> > > 
>> > > __________________________________________________
>> > > Do you Yahoo!?
>> > > Yahoo! Mail Plus - Powerful. Affordable. Sign up now.
>> > > http://mailplus.yahoo.com
>> > > _______________________________________________
>> > > Sigtran mailing list
>> > > [email-masked]
>> > > https://www1.ietf.org/mailman/listinfo/sigtran
>> > > 
>> > _______________________________________________
>> > Sigtran mailing list
>> > [email-masked]
>> > https://www1.ietf.org/mailman/listinfo/sigtran
>> 
>> -- 
>> Brian F. G. Bidulock
>> [email-masked]
>> http://www.openss7.org/
>> 
>_______________________________________________
>Sigtran mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/sigtran

= = = = = = = = = = = = = = = = = = = =

Best regards.				 
Srivats P.
[email-masked]
2002-12-11

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Ken Morneault <[email-masked]>
Date: Wed, 11 Dec 2002 07:54:03 -0500

Srivats,

Seems logical that you would send NTFY after REG RSP especially
if you are placing RC in the message.  However, there would be no
NTFY sent to the ASP after DEREG RSP as the ASP would no longer be
part of the AS.

Regards,

Ken

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 11 Dec 2002 06:12:10 -0700

Srivats,

In section 4.3.2 RFC 3332 states:

  "... where the AS/ASP configuration data is not created until
   Registration of the first ASP, the AS-INACTIVE state is entered
   directly upon the first successful REG REQ from an ASP."

Therefore the Notify MUST be sent, when the first ASP registers and exactly as
you have drawn.  (Not until the REG REQ is successful, which means that the
response has been sent.)

This Notify serves to tell the newly registering ASP that it is the only ASP
in the AS: a piece of information which might cause the ASP to immediately
send ASPAC for the AS.

It would be useful to always send a notification to an ASP when it goes
ASP-INACTIVE for the AS as to the current status of the AS, because when
an ASP is ASP-DOWN for the AS it receives no notifications.  It could be
quite useful to the newly joining ASP to know if the AS is active or inactive
or whether the AS has sufficient ASPs active.  The ASP could then determine
its course of action based on the same information that it would have had
if it had been sitting ASP-INACTIVE on the AS for some time.  Otherwise, the
ASP is forced to obtain such information from the other ASPs potentially in
the AS.

--brian

Srivats P. wrote:                                     (Wed, 11 Dec 2002 19:38:29)